Package groovy.model

# Class FormModel

java.lang.Object
groovy.model.FormModel

public class FormModel extends Object
Represents a number of field models which can be ValueModel, PropertyModel, TableModel, TreeModel or nested FormModel instances

Author:
  James Strachan

## Constructor Summary

Constructors
Constructor
Description
`FormModel()`
`FormModel(Map fieldModels)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addModel(String name, Object model)`
`Object`
`getModel(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FormModel

public FormModel()

### FormModel

public FormModel(Map fieldModels)

## Method Details

### addModel

public void addModel(String name, Object model)

### getModel

public Object getModel(String name)